#ifndef XFXELEMVELSTATESAMPLE_H
#define XFXELEMVELSTATESAMPLE_H

#include "xasset.h"
#include "xfxelemvelstateinframe.h"

class XFxElemVelStateSample : public XAsset
{
public:
    explicit XFxElemVelStateSample();
    ~XFxElemVelStateSample();

    void Clear() override;
    void ParseData(XDataStream *aStream) override;

private:
    XFxElemVelStateInFrame mLocal;
    XFxElemVelStateInFrame mWorld;
};
#endif // XFXELEMVELSTATESAMPLE_H
